diff --git a/src/backend/statistics/README.dependencies b/src/backend/statistics/README.dependencies
index 702d34e..6c446bd 100644
--- a/src/backend/statistics/README.dependencies
+++ b/src/backend/statistics/README.dependencies
@@ -71,10 +71,6 @@ To count the rows consistent with the dependency (a => b):
  (c) If there's a single distinct value in 'b', the rows are consistent with
      the functional dependency, otherwise they contradict it.
 
-The algorithm also requires a minimum size of the group to consider it
-consistent (currently 3 rows in the sample). Small groups make it less likely
-to break the consistency.
-
 
 Clause reduction (planner/optimizer)
 ------------------------------------
diff --git a/src/backend/statistics/dependencies.c b/src/backend/statistics/dependencies.c
index 89dece3..2e7c0ad 100644
--- a/src/backend/statistics/dependencies.c
+++ b/src/backend/statistics/dependencies.c
@@ -286,14 +286,6 @@ dependency_degree(int numrows, HeapTuple *rows, int k, AttrNumber *dependency,
 	 * first (k-1) columns. If there's a single value in the last column, we
 	 * count the group as 'supporting' the functional dependency. Otherwise we
 	 * count it as contradicting.
-	 *
-	 * We also require a group to have a minimum number of rows to be
-	 * considered useful for supporting the dependency. Contradicting groups
-	 * may be of any size, though.
-	 *
-	 * XXX The minimum size requirement makes it impossible to identify case
-	 * when both columns are unique (or nearly unique), and therefore
-	 * trivially functionally dependent.
 	 */
 
 	/* start with the first row forming a group */
